## Index

### Functions

- buildSmartContractParam
- buildWasmContractParam
- getMapBytes
- getStructBytes
- pushBool
- pushHexString
- pushInt

## Functions

### Const buildSmartContractParam

- buildSmartContractParam(functionName: string, params: Parameter[]): string

- - Defined in transaction/scriptBuilder.ts:118

  #### Parameters

  - ##### functionName: string

  - ##### params: Parameter[]

  #### Returns string

### Const buildWasmContractParam

- buildWasmContractParam(params: Parameter[]): string

- - Defined in transaction/scriptBuilder.ts:162

  #### Parameters

  - ##### params: Parameter[]

  #### Returns string

### Const getMapBytes

- getMapBytes(val: Map<string, Parameter>): string

- - Defined in transaction/scriptBuilder.ts:90

  #### Parameters

  - ##### val: Map<string, Parameter>

  #### Returns string

### Const getStructBytes

- getStructBytes(val: Struct): string

- - Defined in transaction/scriptBuilder.ts:72

  #### Parameters

  - ##### val: Struct

  #### Returns string

### Const pushBool

- pushBool(param: boolean): string

- - Defined in transaction/scriptBuilder.ts:26

  #### Parameters

  - ##### param: boolean

  #### Returns string

### Const pushHexString

- pushHexString(param: string): string

- - Defined in transaction/scriptBuilder.ts:53

  #### Parameters

  - ##### param: string

  #### Returns string

### Const pushInt

- pushInt(param: number): string

- - Defined in transaction/scriptBuilder.ts:36

  #### Parameters

  - ##### param: number

  #### Returns string

Generated using TypeDoc